Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(révision 6908)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(copie de travail)
@@ -858,7 +1014,7 @@
 			for (var k = tableParts.length; --k >= 0;) rows[k] = [];
 			var row = null;
 			var cells = null;
-			if (HTMLArea.is_gecko && !HTMLArea.is_safari && !HTMLArea.is_opera) {
+			if (Ext.isGecko) {
 				try {
 					while (range = sel.getRangeAt(i++)) {
 						var td = range.startContainer.childNodes[range.startOffset];
@@ -878,7 +1034,7 @@
 				var cell = this.getClosest("td");
 				if (!cell) var cell = this.getClosest("th");
 				if (!cell) {
-					alert(this.localize("Please click into some cell"));
+					Ext.MessageBox.alert('', this.localize("Please click into some cell"));
 					break;
 				}
 				var tr = cell.parentElement;
@@ -956,19 +1112,19 @@
 			// CREATION AND PROPERTIES
 		    case "InsertTable":
 		    case "TO-table-prop":
-			this.dialogTableProperties(buttonId);
+		    	this.openPropertiesDialogue('table', buttonId);
 			break;
 		    case "TO-table-restyle":
-			this.reStyleTable(this.getClosest("table"));
+			this.reStyleTable(this.getClosest('table'));
 			break;
 		    case "TO-row-prop":
-			this.dialogRowCellProperties(false, false);
+		    	this.openPropertiesDialogue('row', buttonId);
 			break;
 		    case "TO-col-prop":
-			this.dialogRowCellProperties(true, true);
+		    	this.openPropertiesDialogue('column', buttonId);
 			break;
 		    case "TO-cell-prop":
-			this.dialogRowCellProperties(true, false);
+		    	this.openPropertiesDialogue('cell', buttonId);
 			break;
 		    case "TO-toggle-borders":
 			this.toggleBorders();
@@ -977,7 +1133,6 @@
 			alert("Button [" + buttonId + "] not yet implemented");
 		}
 	},
-	
 	/*
 	 * Returns an array of all cells in the column containing the given cell
 	 *
@@ -1002,7 +1157,6 @@
 		}
 		return cells;
 	},
-	
 	/*
 	 * Toggles the display of borders on tables and table cells
 	 *
@@ -1018,7 +1172,6 @@
 			HTMLArea._removeClass(body,'htmlarea-showtableborders');
 		}
 	},
-	
 	/*
 	 * Applies to rows/cells the alternating and counting classes of an alternating or counting style scheme
 	 *
@@ -1058,7 +1211,6 @@
 			}
 		}
 	},
-	
 	/*
 	 * Removes from rows/cells the alternating classes of an alternating style scheme
 	 *
@@ -1083,7 +1235,6 @@
 			}
 		}
 	},
-	
 	/*
 	 * Applies/removes the alternating classes of an alternating rows style scheme
 	 *
@@ -1124,7 +1275,6 @@
 			}
 		}
 	},
-	
 	/*
 	 * Applies/removes the alternating classes of an alternating columns style scheme
 	 *
@@ -1168,8 +1318,7 @@
 				}
 			}
 		}
-	},
-	
+	},	
 	/*
 	 * Removes from rows/cells the counting classes of an counting style scheme
 	 *
@@ -1194,7 +1343,6 @@
 			}
 		}
 	},
-
 	/*
 	 * Applies/removes the counting classes of an counting rows style scheme
 	 *
@@ -1241,7 +1389,6 @@
 			}
 		}
 	},
-
 	/*
 	 * Applies/removes the counting classes of a counting columns style scheme
 	 *
@@ -1292,16 +1439,15 @@
 			}
 		}
 	},
-
 	/*
 	 * This function sets the headers cells on the table (top, left, both or none)
 	 *
 	 * @param	object		table: the table being edited
 	 * @param	object		params: the field values entered in the form
 	 *
-	 * @return	object		the modified table
+	 * @return	void
 	 */
-	setHeaders : function (table, params) {
+	setHeaders: function (table, params) {
 		var headers = params.f_headers;
 		var doc = this.editor._doc;
 		var tbody = table.tBodies[0];
@@ -1371,7 +1517,6 @@
 			}
 		}
 		this.reStyleTable(table);
-		return table;
 	},
 	
 	/*
@@ -1442,9 +1587,9 @@
 	 * @param	object		element: the element
 	 * @param	object		params: the properties
 	 *
-	 * @return	object		the modified element
+	 * @return	void
 	 */
-	processStyle : function (element, params) {
+	processStyle: function (element, params) {
 		var style = element.style;
 		if (HTMLArea.is_ie) {
 			style.styleFloat = "";
@@ -1457,10 +1602,10 @@
 				var val = params[i];
 				switch (i) {
 				    case "f_st_backgroundColor":
-					style.backgroundColor = val;
+				    	style.backgroundColor = ((val.charAt(0) === '#') ? '' : '#') + val;
 					break;
 				    case "f_st_color":
-					style.color = val;
+					style.color = ((val.charAt(0) === '#') ? '' : '#') + val;
 					break;
 				    case "f_st_backgroundImage":
 					if (/\S/.test(val)) {
@@ -1482,10 +1627,16 @@
 					style.borderStyle = (val != "not set") ? val : "";
 					break;
 				    case "f_st_borderColor":
-					style.borderColor = val;
+					style.borderColor = ((val.charAt(0) === '#') ? '' : '#') + val;
+					if (params.f_st_borderStyle === 'none') {
+						style.borderColor = '';
+					}
 					break;
 				    case "f_st_borderCollapse":
-					style.borderCollapse = val ? "collapse" : "";
+					style.borderCollapse = (val !== 'not set') ? val : '';
+					if (params.f_st_borderStyle === 'none') {
+						style.borderCollapse = '';
+					}
 					break;
 				    case "f_st_width":
 					if (/\S/.test(val)) {
